diff -crN Imaging-1.1.2/_imaging.c Imaging-1.1.2-os2emx/_imaging.c
*** Imaging-1.1.2/_imaging.c	Thu May  3 20:57:38 2001
--- Imaging-1.1.2-os2emx/_imaging.c	Sat Jul 14 21:26:30 2001
***************
*** 61,67 ****
--- 61,69 ----
  /* Configuration stuff. Feel free to undef things you don't need. */
  #define WITH_IMAGECHOPS /* ImageChops support */
  #define	WITH_IMAGEDRAW /* ImageDraw support */
+ #ifndef __EMX__		/* OS/2 + EMX don't have mmap support */
  #define	WITH_MAPPING /* use memory mapping to read some file formats */
+ #endif
  #define	WITH_IMAGEPATH /* ImagePath stuff */
  #define	WITH_ARROW /* arrow graphics stuff (experimental) */
  #define	WITH_EFFECTS /* special effects */
***************
*** 76,81 ****
--- 78,87 ----
  #define B16(p, i) ((((int)p[(i)]) << 8) + p[(i)+1])
  #define L16(p, i) ((((int)p[(i)+1]) << 8) + p[(i)])
  #define S16(v) ((v) < 32768 ? (v) : ((v) - 65536))
+ 
+ #ifdef __EMX__
+ #define	_fill	_pil_fill /* EMX already has a _fill() */
+ #endif
  
  /* -------------------------------------------------------------------- */
  /* OBJECT ADMINISTRATION						*/
diff -crN Imaging-1.1.2/BUILD Imaging-1.1.2-os2emx/BUILD
*** Imaging-1.1.2/BUILD	Thu May  3 20:57:38 2001
--- Imaging-1.1.2-os2emx/BUILD	Thu Jan  1 00:00:00 1970
***************
*** 1,9 ****
- # quick build (for lazy programmers).  for more information on the
- # build process, see the README file.
- 
- cd libImaging
- ./configure
- make
- cd ..
- make -f Makefile.pre.in boot
- make
--- 0 ----
diff -crN Imaging-1.1.2/BUILD.txt Imaging-1.1.2-os2emx/BUILD.txt
*** Imaging-1.1.2/BUILD.txt	Thu Jan  1 00:00:00 1970
--- Imaging-1.1.2-os2emx/BUILD.txt	Thu May  3 20:57:38 2001
***************
*** 0 ****
--- 1,9 ----
+ # quick build (for lazy programmers).  for more information on the
+ # build process, see the README file.
+ 
+ cd libImaging
+ ./configure
+ make
+ cd ..
+ make -f Makefile.pre.in boot
+ make
diff -crN Imaging-1.1.2/libImaging/ImConfig.h Imaging-1.1.2-os2emx/libImaging/ImConfig.h
*** Imaging-1.1.2/libImaging/ImConfig.h	Fri May  4 21:16:36 2001
--- Imaging-1.1.2-os2emx/libImaging/ImConfig.h	Mon Aug  6 22:00:42 2001
***************
*** 25,31 ****
--- 25,33 ----
   * later.  It might need some tweaking to work with other compilers,
   * including 16-bit environments. */
  #ifndef	WIN32
+ #ifndef __EMX__
  #define	WIN32
+ #endif
  #endif
  
  /* VC++ 4.0 is a bit annoying when it comes to precision issues (like
diff -crN Imaging-1.1.2/libImaging/Makefile.os2emx Imaging-1.1.2-os2emx/libImaging/Makefile.os2emx
*** Imaging-1.1.2/libImaging/Makefile.os2emx	Thu Jan  1 00:00:00 1970
--- Imaging-1.1.2-os2emx/libImaging/Makefile.os2emx	Mon Aug  6 21:42:16 2001
***************
*** 0 ****
--- 1,94 ----
+ #
+ # The Python Imaging Library.
+ #
+ # makefile for OS/2 + EMX 0.9d/gcc 2.8.1
+ # - created by Andrew MacIntyre, 2001/7/14
+ #
+ # This makefile compiles and tests the Imaging core library.
+ #
+ # To build with the IJG JPEG and ZLIB libraries, you may have
+ # to change the JPEGINCLUDE setting.
+ #
+ # Copyright (c) Fredrik Lundh 1995-96.  All rights reserved.
+ # Copyright (c) Secret Labs AB 1996-97.
+ #
+ # See the README file for information on usage and redistribution.
+ #
+ 
+ all: imaging.lib
+ 
+ #JPEGINCLUDE=	-I../jpeg-6a
+ #ZLIBINCLUDE=	-I../zlib
+ 
+ CC=		gcc
+ CFLAGS=		-Zmt -s -O2
+ 
+ OUTLIB=		imaging.a
+ OMFLIB=		imaging.lib
+ 
+ OBJS=		Access.o\
+ 		Bands.o\
+ 		BitDecode.o\
+ 		Blend.o\
+ 		Chops.o\
+ 		Convert.o\
+ 		ConvertYCbCr.o\
+ 		Copy.o\
+ 		Crc32.o\
+ 		Crop.o\
+ 		Dib.o\
+ 		Draw.o\
+ 		Effects.o\
+ 		EpsEncode.o\
+ 		Except.o\
+ 		File.o\
+ 		Fill.o\
+ 		Filter.o\
+ 		FliDecode.o\
+ 		Geometry.o\
+ 		GetBBox.o\
+ 		GifDecode.o\
+ 		GifEncode.o\
+ 		HexDecode.o\
+ 		Histo.o\
+ 		JpegDecode.o\
+ 		JpegEncode.o\
+ 		LzwDecode.o\
+ 		Matrix.o\
+ 		MspDecode.o\
+ 		Negative.o\
+ 		Offset.o\
+ 		Pack.o\
+ 		PackDecode.o\
+ 		Palette.o\
+ 		Paste.o\
+ 		Quant.o\
+ 		QuantHash.o\
+ 		QuantHeap.o\
+ 		PcdDecode.o\
+ 		PcxDecode.o\
+ 		PcxEncode.o\
+ 		Point.o\
+ 		RawDecode.o\
+ 		RawEncode.o\
+ 		Storage.o\
+ 		SunRleDecode.o\
+ 		TgaRleDecode.o\
+ 		Unpack.o\
+ 		UnpackYCC.o\
+ 		XbmDecode.o\
+ 		XbmEncode.o\
+ 		ZipDecode.o\
+ 		ZipEncode.o
+ 
+ $(OUTLIB):	$(OBJS)
+ 		ar -crs $(OUTLIB) $(OBJS)
+ 
+ $(OMFLIB):	$(OUTLIB)
+ 		emxomf -l -o $(OMFLIB) $(OUTLIB)
+ 
+ coretest.exe: coretest.c $(OUTLIB)
+ 	$(CC) $(CFLAGS) -o coretest.exe coretest.c $(OUTLIB)
+ 
+ test:	coretest.exe
+ 	coretest.exe
Binary files Imaging-1.1.2/libImaging/wedge.ppm and Imaging-1.1.2-os2emx/libImaging/wedge.ppm differ
diff -crN Imaging-1.1.2/setup.py Imaging-1.1.2-os2emx/setup.py
*** Imaging-1.1.2/setup.py	Thu Jan  1 00:00:00 1970
--- Imaging-1.1.2-os2emx/setup.py	Sat Jul 14 21:37:58 2001
***************
*** 0 ****
--- 1,43 ----
+ #!/usr/bin/env python
+ # To use:
+ #       python setup.py install
+ #
+ import os, sys, string, re
+ from glob import glob
+ import distutils
+ from distutils.core import setup, Extension
+ 
+ headers = glob (os.path.join ("libImaging","*.h"))
+ 
+ # The version is set in Lib/numeric_version.py
+ #execfile(os.path.join('Lib','numeric_version.py'))
+ PIL_version = '1.1.2'
+ 
+ # You might need to add a case here for your system
+ #library_dir_list = []
+ 
+ setup (name = "PIL",
+        version = PIL_version,
+        maintainer = "Pythonware",
+        maintainer_email = "image-sig@python.org",
+        description = "Python Imaging Library",
+        url = "http://www.pythonware.com/products/pil/",
+ 
+        packages = [''],
+        extra_path = 'PIL',
+        package_dir = {'': 'PIL'},
+        include_dirs = ['libImaging'],
+        ext_modules = [Extension('_imaging',
+                                 ['_imaging.c',
+ 				 'decode.c',
+ 				 'encode.c',
+ 				 'map.c',
+ 				 'display.c',
+ 				 'outline.c',
+ 				 'path.c'],
+ 				library_dirs = ['libImaging'],
+ 				libraries = ['imaging', 'jpeg', 'z']),
+                      ]
+        )
+ print "PIL Version", PIL_version
+ 
